com.google.cloud.dataflow.sdk.options

## Interface DirectPipelineOptions

All Superinterfaces:
  ApplicationNameOptions, BigQueryOptions, GcpOptions, GcsOptions, GoogleApiDebugOptions, HasDisplayData, PipelineOptions, StreamingOptions

    public interface DirectPipelineOptions
    extends ApplicationNameOptions, BigQueryOptions, GcsOptions, GcpOptions, PipelineOptions, StreamingOptions

Options that can be used to configure the `DirectPipeline`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GcpOptions

`GcpOptions.CredentialDirFactory, GcpOptions.DefaultProjectFactory, GcpOptions.GcpUserCredentialsFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GoogleApiDebugOptions

`GoogleApiDebugOptions.GoogleApiTracer`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GcsOptions

`GcsOptions.ExecutorServiceFactory`

### Method Summary

All Methods Instance Methods Abstract Methods
`Long` `getDirectPipelineRunnerRandomSeed()` The random seed to use for pseudorandom behaviors in the `DirectPipelineRunner`.
`boolean` `isTestEncodability()` Controls whether the runner should ensure that all of the elements of every `PCollection` can be encoded using the appropriate `Coder`.
`boolean` `isTestSerializability()` Controls whether the runner should ensure that all of the elements of the pipeline, such as DoFns, can be serialized.
`boolean` `isTestUnorderedness()` Controls whether the runner should randomize the order of each `PCollection`.
`void` `setDirectPipelineRunnerRandomSeed(Long value)`
`void` `setTestEncodability(boolean testEncodability)`
`void` `setTestSerializability(boolean testSerializability)`
`void` `setTestUnorderedness(boolean testUnorderedness)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.BigQueryOptions

`getTempDatasetId, setTempDatasetId`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.StreamingOptions

`isStreaming, setStreaming`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.ApplicationNameOptions

`getAppName, setAppName`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GcpOptions

`getAuthorizationServerEncodedUrl, getCredentialDir, getCredentialFactoryClass, getCredentialId, getGcpCredential, getProject, getSecretsFile, getServiceAccountKeyfile, getServiceAccountName, getTokenServerUrl, setAuthorizationServerEncodedUrl, setCredentialDir, setCredentialFactoryClass, setCredentialId, setGcpCredential, setProject, setSecretsFile, setServiceAccountKeyfile, setServiceAccountName, setTokenServerUrl`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GoogleApiDebugOptions

`getGoogleApiTrace, setGoogleApiTrace`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GcsOptions

`getExecutorService, getGcsEndpoint, getGcsUploadBufferSizeBytes, getGcsUtil, setExecutorService, setGcsEndpoint, setGcsUploadBufferSizeBytes, setGcsUtil`

### Method Detail

#### getDirectPipelineRunnerRandomSeed

    Long getDirectPipelineRunnerRandomSeed()

The random seed to use for pseudorandom behaviors in the `DirectPipelineRunner`. If not explicitly specified, a random seed will be generated.

#### setDirectPipelineRunnerRandomSeed

    void setDirectPipelineRunnerRandomSeed(Long value)

#### isTestSerializability

    @Default.Boolean(value=true)
    boolean isTestSerializability()

Controls whether the runner should ensure that all of the elements of the pipeline, such as DoFns, can be serialized.

#### setTestSerializability

    void setTestSerializability(boolean testSerializability)

#### isTestEncodability

    @Default.Boolean(value=true)
    boolean isTestEncodability()

Controls whether the runner should ensure that all of the elements of every `PCollection` can be encoded using the appropriate `Coder`.

#### setTestEncodability

    void setTestEncodability(boolean testEncodability)

#### isTestUnorderedness

    @Default.Boolean(value=true)
    boolean isTestUnorderedness()

Controls whether the runner should randomize the order of each `PCollection`.

#### setTestUnorderedness

    void setTestUnorderedness(boolean testUnorderedness)